Skip to main content

Webhooks

GET /v1/webhooks​

GET /v1/webhooks

Scope: webhooks:write

Responses

StatusDescription
200The organization's endpoints.
curl "https://api.jodaprint.dev/v1/webhooks" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"

POST /v1/webhooks​

POST /v1/webhooks

Scope: webhooks:write

Request body

FieldTypeRequiredDescription
urlstringyes
events"job.queued" | "job.printed" | "job.failed" | "job.cancelled" | "printer.online" | "printer.offline" | "printer.paper_out" | "printer.error" | "device.online" | "device.offline" | "device.activated" | "alert.opened" | "alert.resolved"[]yes
descriptionstring

Responses

StatusDescription
201The endpoint and its signing secret (shown once).

Fields of the 201 response:

FieldTypeRequiredDescription
webhookobjectyes
secretstringyesShown only now: store it to verify signatures
curl -X POST "https://api.jodaprint.dev/v1/webhooks" \
-H "Authorization: Bearer $JODAPRINT_API_KEY" \
-H "Content-Type: application/json"

DELETE /v1/webhooks/{id}​

DELETE /v1/webhooks/{id}

Scope: webhooks:write

Parameters

NameInTypeRequiredDescription
idpathstringyes

Responses

StatusDescription
200
curl -X DELETE "https://api.jodaprint.dev/v1/webhooks/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"